Bug 13261 - Better check in message for patrons with indefinite restriction
Summary: Better check in message for patrons with indefinite restriction
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-15 15:39 UTC by Marc Véron
Modified: 2016-06-21 21:37 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13261 - Better check in message for patrons with indefinite restricition (3.65 KB, patch)
2014-11-15 16:18 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13261 - Better check in message for patrons with indefinite restricition (3.81 KB, patch)
2014-11-15 18:42 UTC, Frédéric Demians
Details | Diff | Splinter Review
[Follow-up] Bug 13261 - Better wording for check in message (2.18 KB, patch)
2014-11-16 07:27 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13261 - Better check in message for patrons with indefinite restricition (4.92 KB, patch)
2014-11-17 16:43 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 13261 - Better check in message for patrons with indefinite restricition (5.05 KB, patch)
2014-11-17 21:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13261: Remove warning if no parameter given (1.92 KB, patch)
2014-11-26 08:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2014-11-15 15:39:54 UTC
After checking in an item for patron with an indefinite restriction the checkin message reads:
Reminder: Patron was earlier restricted until 9999-12-31

It should be changed to:
Reminder: Patron has a restriction (no expiry date)
(Same message like after check out with restriction override)
Comment 1 Marc Véron 2014-11-15 16:18:29 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2014-11-15 18:42:47 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2014-11-15 21:19:31 UTC
I would prefer something like "Patron has an indefinite restriction" Or "Patron is restricted indefinitely." I'm glad to see this worked on--this was a complaint at my library after our recent upgrade.
Comment 4 Tomás Cohen Arazi 2014-11-15 22:29:21 UTC
(In reply to Owen Leonard from comment #3)
> I would prefer something like "Patron has an indefinite restriction" Or
> "Patron is restricted indefinitely." I'm glad to see this worked on--this
> was a complaint at my library after our recent upgrade.

Maybe 'permanently'.
Comment 5 Owen Leonard 2014-11-16 00:17:56 UTC
> Maybe 'permanently'.

'Permanently' implies that the restriction can't be removed. 'Indefinitely' implies that the ending date is simply not known.
Comment 6 Marc Véron 2014-11-16 07:27:33 UTC Comment hidden (obsolete)
Comment 7 Marc Véron 2014-11-16 07:30:02 UTC
Reset to "Needs Signoff" for second patch.
Comment 8 Didier 2014-11-17 15:05:40 UTC
Tested on Sandbox 1 (Unimarc)

When checking in after adding a restriction without expiry date, ends with a gateway time out (error 504). Check out and check in without restriction work, check in with restriction and expiry date works too.
Comment 9 Frédéric Demians 2014-11-17 16:43:41 UTC Comment hidden (obsolete)
Comment 10 Katrin Fischer 2014-11-17 21:41:13 UTC
Marc, could you add a test to cover the change to AddReturn?
Comment 11 Katrin Fischer 2014-11-17 21:41:56 UTC
Created attachment 33630 [details] [review]
[PASSED QA] Bug 13261 - Better check in message for patrons with indefinite restricition

This patch adds a better check in message for patrons with indefinite restriction.

To test:
Check out an item to a patron.
Add a manual restriction without expiry date to that patron.
Check in the item.

Without patch, the checkin message reads:
Reminder: Patron was earlier restricted until 9999-12-31

Apply patch and repeat steps above.
The message should now read:
Reminder: Patron has a restriction (no expiry date)

NOTE: Changed wording at two places following Owen's  suggestion.  New: "Patron
has an indefinite restriction"

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Thanks Marc for catching this case. I was thinking like you that the wording
sounded strange while playing with bug 13242. Merge the original patch and the
followup, containing a better wording, thanks to Owen comment.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, no problems found.
Passes tests and QA script.
Comment 12 Tomás Cohen Arazi 2014-11-20 00:49:26 UTC
Patch pushed to master.

Thanks Marc!
Comment 13 Jonathan Druart 2014-11-26 08:45:10 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2014-11-26 08:46:00 UTC
Comment on attachment 33944 [details] [review]
Bug 13261: Remove warning if no parameter given

wrong bug report.
Comment 15 Olli-Antti Kivilahti 2015-01-05 11:45:54 UTC
Thanks for the patch Marc! Just stumbled upon this issue having barred some of our patrons :)